Skip to content
Navigation

List Forecasts owned by an entity

GET
https://api.sureshake.com/v2/entities/{entityId}/calls

Path parameters

  • entityId
    required

    Any of the following:

    • string
    • string

Query parameters

  • species
    optional
    commitment
    or
    forecast
  • lifecycleState
    optional
    draft
    or
    locking
    or
    open
    or
    resolved
    or
    lapsed
    or
    retracted
  • visibility
    optional
    public
    or
    permissioned
    or
    sealed
  • limit
    optional
    integer
    maximum: 100 · minimum: 1 · default: 50
  • offset
    optional
    integer
    minimum: 0 · default: 0

Returns

200

Default Response

JSON
  • data
    array of
    object
    required
    • id
      string
      required
      format: uuid
    • entityId
      string
      required
      format: uuid
    • species
      commitment
      or
      forecast
      required
    • canonicalStatement
      string
      or null
      required
    • thesis
      string
      or null
      required
    • form
      structured
      or
      freeform
      required
    • template
      freeform
      or
      numeric
      or
      price
      or
      binary
      or
      range
      or
      date
      +2 more
      required
    • visibility
      public
      or
      permissioned
      or
      sealed
      required
    • lifecycleState
      draft
      or
      locking
      or
      open
      or
      resolved
      or
      lapsed
      or
      retracted
      required
    • category
      string
      required
    • subjectType
      entity
      or
      security
      or
      metric
      or
      event
      or
      other
      required
    • subjectRef
      string
      or null
      required
    • subjectLabel
      string
      or null
      required
    • metricKey
      string
      or null
      required
    • comparator
      string
      or null
      required
    • targetValue
      number
      or null
      required
    • targetValueHi
      number
      or null
      required
    • unit
      string
      or null
      required
    • periodType
      string
      or null
      required
    • periodRef
      string
      or null
      required
    • resolutionDate
      string
      required
      format: date-time
    • resolutionTimezone
      string
      required
    • resolutionSourceType
      self_report
      or
      sfrs
      or
      crm
      or
      market_data
      or
      public_record
      or
      third_party_attestation
      required
    • resolutionSourceConfig
      map of
      unknown
      or null
      required
    • confidencePct
      number
      or null
      required
    • currentConfidencePct
      number
      or null
      required
    • falsifier
      string
      or null
      required
    • positionDisclosure
      object
      or null
      required
      • position
        long
        or
        short
        or
        options
        or
        none
        or
        other
        required
      • affiliated
        optional
        boolean
        default: false
      • compensated
        optional
        boolean
        default: false
      • note
        optional
        string
        maxLength: 1000
    • payloadHash
      string
      or null
      required
    • creationSalt
      string
      or null
      required
      pattern: ^[a-f0-9]{64}$
    • resolutionSalt
      string
      or null
      required
      pattern: ^[a-f0-9]{64}$
    • anchoredTx
      string
      or null
      required
    • anchorStatus
      not_ready
      or
      queued
      or
      submitting
      or
      pending_confirmation
      or
      anchored
      or
      retryable_failure
      +2 more
      required
    • anchorFailure
      object
      or null
      required
      • code
        string
        required
      • message
        string
        required
      • retryable
        boolean
        required
      • attempts
        integer
        required
        minimum: 0
    • lockWalletIntentId
      string
      or null
      required
      format: uuid
    • lockWalletIntentStatus
      pending
      or
      queued
      or
      submitted
      or
      confirmed
      or
      failed
      or null
      required
    • lockFailure
      object
      or null
      required
      • code
        string
        required
      • message
        string
        required
    • tokenContractAddress
      string
      or null
      required
    • tokenId
      string
      or null
      required
    • tokenUri
      string
      or null
      required
    • assetIdentityId
      string
      or null
      required
      format: uuid
    • lockedAt
      string
      or null
      required
      format: date-time
    • revealedAt
      string
      or null
      required
      format: date-time
    • retractedAt
      string
      or null
      required
      format: date-time
    • lapsedAt
      string
      or null
      required
      format: date-time
    • createdAt
      string
      required
      format: date-time
    • updatedAt
      string
      required
      format: date-time
    • erc8004ValidationStatus
      not_requested
      or
      pending
      or
      validated
      or
      failed
      or
      skipped
      required
    • erc8004ValidationRequestId
      string
      or null
      required
    • erc8004ValidationRequestTx
      string
      or null
      required
    • erc8004ValidationResultTx
      string
      or null
      required
    • resolution
      object
      or null
      required
      • id
        string
        required
        format: uuid
      • outcome
        hit
        or
        miss
        or
        partial
        required
      • provenance
        source_verified
        or
        third_party_attested
        or
        self_reported
        required
      • actualResult
        string
        required
      • actualValue
        number
        or null
        required
      • completionPct
        number
        or null
        required
      • varianceExplanation
        string
        or null
        required
      • sourceRef
        string
        or null
        required
      • payloadHash
        string
        or null
        required
      • anchoredTx
        string
        or null
        required
      • anchoredAt
        string
        or null
        required
        format: date-time
      • resolvedAt
        string
        required
        format: date-time
      • isLate
        boolean
        required
  • meta
    object
    required
    • total
      number
      required

      Total number of items available

    • limit
      number
      required

      Number of items per page

    • offset
      number
      required

      Number of items skipped

    • hasMore
      boolean
      required

      Whether more items are available

    • page
      optional
      number

      Current page number

    • totalPages
      optional
      number

      Total number of pages

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close